# ``SlothCreator``

Catalog sloths you find in nature and create new adorable virtual sloths.

## Overview

SlothCreator provides models and utilities for creating, tracking, and caring for sloths. The framework provides structures to model an individual ``Sloth``, and identify them by key characteristics, including their ``Sloth/name`` and special supernatural ``Sloth/power-swift.property``. You can create your own custom sloths using a ``SlothGenerator``, and name them using a ``NameGenerator``.

Sloths need careful feeding and maintenance to ensure their health and happiness. You maintain their ``Sloth/energyLevel`` by providing the correct ``Sloth/Food`` and a suitable ``Habitat``. You can exercise your sloth by providing a fun or restful ``Activity``. 

You can visualize and observe your sloths by adding a ``SlothView`` to a SwiftUI view structure.

![A sloth hanging off a tree.](sloth.png)


## Topics

### Essentials

- <doc:/tutorials/SlothCreator>
- <doc:GettingStarted>
- ``Sloth``

### Creating Sloths

- ``SlothGenerator``
- ``NameGenerator``
- ``Habitat``

### Caring for Sloths

- ``Activity``
- ``CareSchedule``
- ``FoodGenerator``
- ``Sloth/Food``

### Viewing Sloths

- ``SlothView``
- ``HabitatView``
- ``PowerPicker``
